Name:		mumble
Version:	1.1.3
Release:	alt0.1
Summary:	Low-Latency Voice Communication Client for Gamers
Group:		Sound
License:	BSD, GPLv2
Packager:	Motsyo Gennadi <drool@altlinux.ru>
Url:		http://mumble.sourceforge.net/
Source:		http://prdownloads.sourceforge.net/mumble/mumble-%version.tar.gz
Source1:	%name.desktop
Source2:	%name-server.desktop
Patch1:		%name-fix_build-add_librt.patch
Patch2:		%name-1.1.3-alt_link.diff

# Automatically added by buildreq on Thu Mar 20 2008 (-bi)
BuildRequires: boost-devel gcc-c++ libXevie-devel libalsa-devel libportaudio2-devel libqt4-devel >= 4.3.4-alt5 libqt4-network libqt4-opengl libqt4-sql

%description
Low-latency, high-quality voice communication for gamers. Includes game
linking, so voice from other players comes from the direction of their
characters, and has echo cancellation so the sound from your loudspeakers
won't be audible to other players.

%package server
Summary: Low-Latency Voice Communication Server for Gamers
Group: Sound
Provides: murmur = %version-%release
Provides: murmurd = %version-%release
Provides: mumble-murmur = %version-%release
Provides: mumble-murmurd = %version-%release

%description server
Low-latency, high-quality voice communication for gamers. Includes game
linking, so voice from other players comes from the direction of their
characters, and has echo cancellation so the sound from your loudspeakers
won't be audible to other players.

%package devel
Summary: Contains Files for Building %name Plugins
Group: Development/C++
Requires: libspeex-devel

%description devel
Low-latency, high-quality voice communication for gamers. Includes game
linking, so voice from other players comes from the direction of their
characters, and has echo cancellation so the sound from your loudspeakers
won't be audible to other players.

This package contains the necessary files to develop and build plugins
for %name

%prep
%setup -q
%patch1
%patch2 -p1

%build
export PATH=$PATH:%_qt4dir/bin
qmake "QMAKE_CFLAGS+=%optflags" "QMAKE_CXXFLAGS+=%optflags" main.pro
%make_build

%install
%__install -D -m0755 release/mumble %buildroot%_bindir/mumble
%__install -D -m0755 release/murmurd %buildroot%_sbindir/murmurd
%__ln_s ../sbin/murmurd %buildroot%_bindir/mumble-server
%__ln_s murmurd %buildroot%_sbindir/murmur

%__install -Dp -m 0644 release/libmumble.so.%version %buildroot%_libdir/libmumble.so.%version
%__install -D -m0644 plugins/mumble_plugin.h %buildroot%_includedir/mumble_plugin.h

%__install -D -m0644 icons/mumble.48x48.png %buildroot%_liconsdir/mumble.png
%__install -D -m0644 icons/mumble.32x32.png %buildroot%_niconsdir/mumble.png
%__install -D -m0644 icons/mumble.16x16.png %buildroot%_miconsdir/mumble.png
%__install -D -m0644 %SOURCE1 %buildroot%_datadir/applications/mumble.desktop

%__mkdir -p %buildroot%_man1dir
cp man/%{name}* man/murmur* %buildroot%_man1dir/

%files
%doc LICENSE README* CHANGES scripts/mumble-overlay
%_bindir/mumble
%_liconsdir/mumble.png
%_niconsdir/mumble.png
%_miconsdir/mumble.png
%_desktopdir/mumble.desktop
%_man1dir/%{name}*


%files server
%doc LICENSE README* CHANGES
%doc scripts/murmur.ini
%doc scripts/*.pl
%_bindir/mumble-server
%_sbindir/murmur*
%_man1dir/murmur*

%files devel
%_includedir/mumble_plugin.h
%_libdir/libmumble.*

%changelog
* Thu Apr 24 2008 Motsyo Gennadi <drool@altlinux.ru> 1.1.3-alt0.1
- test build for ALT Linux
